: Class HttpCookieList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpCookieList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpCookieList

public class HttpCookieList
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpCookieList()`

Method Summary
`HttpCookie` | `addCookie(java.lang.String name, java.lang.String value)` Add a cookie to this header value.
`protected void` | `deprecatedParse()` parse.
`protected void` | `deprecatedUpdateByteValue()`
`HttpCookie` | `getCookie(java.lang.String name)` Lookup a cookie by name.
`HttpCookie[]` | `getCookies()`
`java.lang.Object` | `getValue()` Get this HTTP value, parsed value.
`protected void` | `parse()` parse the Cookie Header according to the Netscape Specification: http://www.netscape.com/newsref/std/cookie_spec.html
`boolean` | `removeCookie(java.lang.String name)` Remove a cookie from this header value.
`protected void` | `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpCookieList

    public HttpCookieList()

Method Detail

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class BasicValue

### deprecatedUpdateByteValue

    protected void deprecatedUpdateByteValue()

### parse

    protected void parse()
                  throws HttpParserException

  parse the Cookie Header according to the Netscape Specification: http://www.netscape.com/newsref/std/cookie_spec.html
  Overrides:
    parse in class BasicValue
  Throws:
    HttpParserException - if parsing failed.

### deprecatedParse

    protected void deprecatedParse()
                            throws HttpParserException

  parse.
  Throws:
    HttpParserException - if parsing failed.

### getValue

    public java.lang.Object getValue()

  Get this HTTP value, parsed value.
  Overrides:
    getValue in class BasicValue
  Tags copied from class: BasicValue
  Returns:
    An object representing the parsed value for this header.

### addCookie

    public HttpCookie addCookie(java.lang.String name,
                                java.lang.String value)

  Add a cookie to this header value.
  Parameters:
    `name` - The name of the cookie to add.
    `value` - It's value.
  Returns:
    A HttpCookie instance, tha represents this cookie in the header value.

### removeCookie

    public boolean removeCookie(java.lang.String name)

  Remove a cookie from this header value.
  Parameters:
    `name` - The name of the cookie to remove.
  Returns:
    A boolean, true If the cookie was found, and removed, false otherwise.

### getCookie

    public HttpCookie getCookie(java.lang.String name)

  Lookup a cookie by name.
  Parameters:
    `name` - The name of the cooie to lookup.
  Returns:
    A HttpCookie instance, or null if not found.

### getCookies

    public HttpCookie[] getCookies()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD